Bug 1619301

Summary: SELinux is preventing /usr/lib/systemd/systemd-journald from 'create' accesses on the netlink_generic_socket Unknown.
Product: [Fedora] Fedora Reporter: Aleksei Zuev <aleksei.zuev>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: dwalsh, lvrabec, mgrepl, plautrba, pmoore
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:6ee40e598f09ddd762b0f2eede845b5f8763d9bc1a776e42a5d4f7206637fb2e;
Fixed In Version: selinux-policy-3.14.1-42.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-09-11 16:55:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Aleksei Zuev 2018-08-20 14:43:05 UTC
Description of problem:
SELinux is preventing /usr/lib/systemd/systemd-journald from 'create' accesses on the netlink_generic_socket Unknown.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that systemd-journald should be allowed create access on the Unknown netlink_generic_socket by default.
Then рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
allow this access for now by executing:
# ausearch -c 'systemd-journal' --raw | audit2allow -M my-systemdjournal
# semodule -X 300 -i my-systemdjournal.pp

Additional Information:
Source Context                system_u:system_r:syslogd_t:s0
Target Context                system_u:system_r:syslogd_t:s0
Target Objects                Unknown [ netlink_generic_socket ]
Source                        systemd-journal
Source Path                   /usr/lib/systemd/systemd-journald
Port                          <Неизвестно>
Host                          (removed)
Source RPM Packages           systemd-238-9.git0e0aa59.fc28.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.1-40.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.17.11-200.fc28.x86_64 #1 SMP Mon
                              Jul 30 15:21:09 UTC 2018 x86_64 x86_64
Alert Count                   1
First Seen                    2018-08-20 17:00:31 MSK
Last Seen                     2018-08-20 17:00:31 MSK
Local ID                      977fe20e-2d84-4f0e-b54c-4b5119761336

Raw Audit Messages
type=AVC msg=audit(1534773631.179:617): avc:  denied  { create } for  pid=815 comm="systemd-journal" scontext=system_u:system_r:syslogd_t:s0 tcontext=system_u:system_r:syslogd_t:s0 tclass=netlink_generic_socket permissive=0


type=SYSCALL msg=audit(1534773631.179:617): arch=x86_64 syscall=socket success=no exit=EACCES a0=10 a1=80003 a2=10 a3=7fd0057e2f00 items=0 ppid=1 pid=815 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=systemd-journal exe=/usr/lib/systemd/systemd-journald subj=system_u:system_r:syslogd_t:s0 key=(null)

Hash: systemd-journal,syslogd_t,syslogd_t,netlink_generic_socket,create

Version-Release number of selected component:
selinux-policy-3.14.1-40.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.17.14-202.fc28.x86_64
type:           libreport

Comment 1 Fedora Update System 2018-09-06 21:56:47 UTC
selinux-policy-3.14.1-42.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2d1b09d217

Comment 2 Fedora Update System 2018-09-07 17:12:14 UTC
selinux-policy-3.14.1-42.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2d1b09d217

Comment 3 Fedora Update System 2018-09-11 16:55:28 UTC
selinux-policy-3.14.1-42.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.